import request from '@/utils/request'

// 查询空开设备号口配置列表
export function listUseNoConfig(query) {
  return request({
    url: '/control/useNoConfig/list',
    method: 'get',
    params: query
  })
}

// 查询空开设备号口配置详细
export function getUseNoConfig(useNoId) {
  return request({
    url: '/control/useNoConfig/' + useNoId,
    method: 'get'
  })
}

// 新增空开设备号口配置
export function addUseNoConfig(data) {
  return request({
    url: '/control/useNoConfig',
    method: 'post',
    data: data
  })
}

// 修改空开设备号口配置
export function updateUseNoConfig(data) {
  return request({
    url: '/control/useNoConfig',
    method: 'put',
    data: data
  })
}

// 删除空开设备号口配置
export function delUseNoConfig(useNoId) {
  return request({
    url: '/control/useNoConfig/' + useNoId,
    method: 'delete'
  })
}

// 导出空开设备号口配置
export function exportUseNoConfig(query) {
  return request({
    url: '/control/useNoConfig/export',
    method: 'get',
    params: query
  })
}